summarylogtreecommitdiffstats
path: root/PKGBUILD
diff options
context:
space:
mode:
authorMatthew Gamble2015-09-17 20:47:35 +1000
committerMatthew Gamble2015-09-17 20:47:35 +1000
commit4e5a4c88d9f1ef9d784dc466f2d971e959216e8b (patch)
tree8fee4fc5e7627f2081de57d8df85f946baf98dd5 /PKGBUILD
downloadaur-4e5a4c88d9f1ef9d784dc466f2d971e959216e8b.tar.gz
Initial migration of package to AUR4
Updated to use the very latest version of mp3fs. Unfortunately I've had to disable ogg picture support due to the lack of a package for libb64 and my lack of knowledge in being able to create one. If someone can step up to the plate and tackle this, please leave me a comment and I'll update the PKGBUILD to not disable it!
Diffstat (limited to 'PKGBUILD')
-rw-r--r--PKGBUILD29
1 files changed, 29 insertions, 0 deletions
diff --git a/PKGBUILD b/PKGBUILD
new file mode 100644
index 00000000000..38334dcc91c
--- /dev/null
+++ b/PKGBUILD
@@ -0,0 +1,29 @@
+# Maintainer: Matthew Gamble
+# Contributor : Draje <draje@nullsum.net>
+
+pkgname=mp3fs-git
+pkgver=20150913
+pkgrel=1
+pkgdesc="A read-only FUSE filesystem which transcodes audio formats (currently FLAC) to MP3 on the fly when opened and read."
+arch=('i686' 'x86_64')
+url="http://khenriks.github.com/mp3fs/"
+license=('GPL')
+depends=('fuse' 'flac' 'lame' 'libid3tag')
+makedepends=('git' 'asciidoc')
+conflicts=('mp3fs')
+source=('git://github.com/khenriks/mp3fs.git')
+sha256sums=('SKIP')
+
+build() {
+ cd "$srcdir/mp3fs"
+
+ ./autogen.sh
+ ./configure --prefix=/usr \
+ --without-vorbis-picture # There is no package for libb64 in Arch Linux as of today
+ make || return 1
+}
+
+package() {
+ cd "$srcdir/mp3fs"
+ make PREFIX=/usr sysconfdir=/etc localstatedir=/var DESTDIR="$pkgdir" install
+}